Please whitelist cPanel in your adblocker so that you’re able to see our version release promotions, thanks!

The Community Forums

Interact with an entire community of cPanel & WHM users!

Update Error - An attempt to up/downgrade to 11.30.4.6 was blocked.

Discussion in 'General Discussion' started by Sash, Oct 5, 2011.

  1. Sash

    Sash Well-Known Member

    Joined:
    Feb 18, 2003
    Messages:
    252
    Likes Received:
    0
    Trophy Points:
    166
    Just installed cpanel on a new machine. When running upcp, we get this error:

    => Log opened from /usr/local/cpanel/scripts/updatenow.static at Wed Oct 5 17:48:11 2011
    [20111005.174811] Detected version '11.30.3.5' from version file.
    [20111005.174811] Target version set to '11.30.4.6'
    [20111005.174811] Checking license
    [20111005.174837] E Blocker found: No license file found. Your cPanel software will not function properly. updates will be blocked until you fix this.
    [20111005.174837] ***** FATAL: An attempt to up/downgrade to 11.30.4.6 was blocked. Please review blockers.
    => Log closed Wed Oct 5 17:48:37 2011
    [20111005.174837] E Running `/usr/local/cpanel/scripts/updatenow --upcp --log=/var/cpanel/updatelogs/update.1317851287.log` failed, exited with code 256
    => Log closed Wed Oct 5 17:48:38 2011

    Does anyone know what that error means?

    Thanks
     
  2. cPanelMichael

    cPanelMichael Technical Support Community Manager
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    45,233
    Likes Received:
    1,939
    Trophy Points:
    363
    cPanel Access Level:
    Root Administrator
    Twitter:
    Hello :)

    That message indicates there is a problem with your license. Please run the following command and post the output here:

    Code:
    # /usr/local/cpanel/cpkeyclt
    Thank you.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  3. Sash

    Sash Well-Known Member

    Joined:
    Feb 18, 2003
    Messages:
    252
    Likes Received:
    0
    Trophy Points:
    166
    Hi,

    We haven't purchased a license for this server yet. Do we have to have a license to run the install and upgrade?

    Thanks
     
  4. cPanelMichael

    cPanelMichael Technical Support Community Manager
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    45,233
    Likes Received:
    1,939
    Trophy Points:
    363
    cPanel Access Level:
    Root Administrator
    Twitter:
    Yes, a valid license is required before using or updating cPanel. You can obtain a trial license from the cPanel Store if necessary:

    cPanel Store

    Thank you.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  5. sumesh

    sumesh Registered

    Joined:
    Nov 14, 2011
    Messages:
    4
    Likes Received:
    0
    Trophy Points:
    51
    cPanel Access Level:
    Root Administrator
    Hello

    Any idea about this

    ===
    ##################################################
    [20130312.212004] rpm_is_working
    ##################################################
    [20130312.212004] E Blocker found: Upgrade is blocked because munin is
    installed as an RPM on your system, and the cPanel plugin is installed at
    the same time. To proceed you can remove either the 'munin' and
    'munin-node' RPMs or the cPanel plugin, then run the upgrade one more time.
    [20130312.212004] ***** FATAL: An attempt to up/downgrade to 11.36.0.11 was
    blocked. Please review blockers.
    [20130312.212004] The Administrator will be notified to review this
    output when this script completes
    [20130312.212004] E Detected events which require user notification during
    updatenow. Will send iContact the log
     
  6. NixTree

    NixTree Well-Known Member

    Joined:
    Aug 19, 2010
    Messages:
    407
    Likes Received:
    3
    Trophy Points:
    143
    Location:
    Gods Own Country
    cPanel Access Level:
    Root Administrator
    Twitter:
    The error message cleraly states what the issue is.

    =============
    Upgrade is blocked because munin is
    installed as an RPM on your system, and the cPanel plugin is installed at
    the same time. To proceed you can remove either the 'munin' and
    'munin-node' RPMs or the cPanel plugin, then run the upgrade one more time.
    ============

    Run "rpm -qa | grep -i munin" and remove the mentioned RPMs or remove the Munin plugin from WHM. When done run upcp again!
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
Loading...

Share This Page

  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice